Subject: [Ltru] Transition rules (gen-art #1)

From: "Addison Phillips" <[email-masked]>
Date: Wed, 31 Aug 2005 13:53:56 -0700

> > Transition issue:
> > I think the transition from RFC3066 to the subtag registry needs a 
> > little more attention.  There are a few words in s3.7, but I think 
> > the process might need a little fleshing out.  In particular 
> > suggestions about ensuring there is not an interregnum with no 
> > reviewer in place (they are appointed by different authorities) and 
> > giving notice of the changeover (e.g., a number of weeks after the 
> > publication of the RFC(s)).  In principle the changeover should be 
> > seamless but it would probably be good to have the initial registry 
> > in place (i.e., translated from the initial state RFC) and reviewed before it becomes authoritative.
> [Addison Phillips]
> 
> It may appear a bit vague. In practice, however, there has only ever 
> been one Language (Sub)tag Reviewer, Michael Everson. The change in 
> appointing authorities was suggested by the IESG itself, so there 
> should be no interregnum. There are rules in place to deal with any 
> in-process registrations, which would mark the main problem source.

Proposed resolution:

To clear the interregnum problem, I propose inserting the following text in Section 3.7 (insertion marked with >>> and <<<):

--
Registrations that are in process under the rules defined in <xref target="RFC3066"></xref> when this document is adopted
  MAY be completed under the former rules, at the discretion of the Language Tag Reviewer >>> (as described in <xref target="RFC3066"></xref>). Until the IESG officially appoints a Language Subtag Reviewer, the existing Language Tag Reviewer will serve as the Language Subtag Reviewer. <<< 
--

To address the timing problem I propose inserting the following text in Section 3.7 as shown:

--
Upon adoption of this document an initial version of the Language Subtag Registry containing the various subtags initially valid in a language tag is necessary. This collection of subtags, along with a description of the process used to create it, is described by <xref target="initial-registry"></xref>. >>> IANA will publish the new registry as described in that document, at which point the maintenance rules and registration processes described in this document will be available for new registrations or updates. <<<
--

Addison P. Phillips
Globalization Architect, Quest Software
http://www.quest.com

Chair, W3C Internationalization Core Working Group
http://www.w3.org/International

Internationalization is not a feature.
It is an architecture. 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru